import schedule

from . import models
from .config import REFETCH_PERIOD_H
from .database import engine
from .job import job
from .scheduler import run_continuously

models.Base.metadata.create_all(bind=engine)

schedule.every(REFETCH_PERIOD_H).hours.do(job)
stop_run_continuously = run_continuously()

# First run
job()
